# CANalyst-II

CANalyst-II(+) is a USB to CAN Analyzer. The controlcan library is originally developed by ZLG ZHIYUAN Electronics.

## Bus

class `can.interfaces.canalystii.``CANalystIIBus`(channel, device=0, baud=None, Timing0=None, Timing1=None, can_filters=None)

  Bases: `can.bus.BusABC`

  Parameters:

  - channel – channel number
  - device – device number
  - baud – baud rate
  - Timing0 – customize the timing register if baudrate is not specified
  - Timing1 –
  - can_filters – filters for packet

  `flush_tx_buffer`()

    Discard every message that may be queued in the output buffer(s).

  `send`(msg, timeout=None)

    Parameters:

    - msg – message to send
    - timeout – timeout is not used here

    Returns: |

  `shutdown`()

    Called to carry out any interface specific cleanup required in shutting down a bus.